Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21436

Description

Open DB Manager and try to export to vector file one of the tables of the database;

In the opening dialog, there's an option labelled "Drop existing one". What's it about?

I think it's about deletion of the to-be-exported table (I'm not sure though), but i think it should be better labelled or have an informative

text while hovering.

Related issues:

Related to QGIS Application - Feature request # 12961: "Import vector layer" ... Closed 2015-06-14

Associated revisions

Revision 6a6e366c - 2015-09-21 10:18 PM - Giuseppe Sucameli

[DBManager] in import/export dialog, replace "Drop existing one" text to a more meaningful one (fix #13384)

History

#1 - 2015-09-21 11:01 AM - Giuseppe Sucameli

- Target version changed from Future Release - High Priority to Future Release - Lower Priority

- Status changed from Open to Feedback

- Priority changed from Normal to Low

Somehow duplicated of #12961. The text was replaced with proposed "Replace existing table" one.

BTW if we are exporting the selected table to file (instead of to a different database), that text is meaningless... 

It must be changed to something like "Overwrite destination (if exists)".

Suggestions?

#2 - 2015-09-21 11:11 AM - Giuseppe Sucameli

Wrong, the text is different between export to file (i.e. "Drop existing one") and to a different database (i.e. "Replace existing table").

#3 - 2015-09-21 12:39 PM - Giuseppe Sucameli

- Status changed from Feedback to In Progress

- Assignee set to Giuseppe Sucameli

#4 - 2015-09-21 01:20 PM - Giuseppe Sucameli
- Status changed from In Progress to Closed

Fixed in changeset commit:"6a6e366c04d720a99cc4564d6cd986b08a99722d".
